# Dropshell Build

## Installation

First install dropshell-tool, then:
```
dropshell-tool install dropshell-build
```

If you wish to use local toolchain (rather than docker):
```
curl https://getbin.xyz/install_dropshell_build_requirements | bash
```

## Use

```
dropshell-build [-r] [-m] DIRECTORY
```

where `DIRECTORY` contains your `CMakeLists.txt`, `-r` specifies release version (rather than debug), and `-m` builds for multiple architectures (rather than just the host arch).


## Notes

- Cross-Builds with musl (from https://musl.cc )
- Uses DIRECTORY/CMakeLists.txt
- Temporary build files go in DIRECTORY/build
- Output files (executables) go in DIRECTORY/output
- Will use local toolchain if it exits, otherwise docker
